# Get

Launch stage: Public Preview

`GET /api/2.0/lakeview/dashboards/{dashboard_id}/published/tokeninfo`

Get a required authorization details and scopes of a published dashboard to mint an OAuth token.

API scopes: dashboards

## Path parameters

- `dashboard_id` (string, optional)
  UUID identifying the published dashboard.

## Query parameters

- `external_value` (string, optional)
  Provided external value to be included in the custom claim.
- `external_viewer_id` (string, optional)
  Provided external viewer id to be included in the custom claim.

## Returns

Returns the GetPublishedDashboardTokenInfoResponse object.

## Response

```json
{
  "custom_claim": "string",
  "scope": "string",
  "authorization_details": [
    {
      "type": "string",
      "resource_name": "string",
      "resource_legacy_acl_path": "string",
      "grant_rules": [
        {}
      ]
    }
  ]
}
```

